Retrieve a presentation
GET
/api/sdk/v1/presentations/{presentationId}Optionally asks for a temporary image URL in a specific output format.
Authorization
bearerAuth AuthorizationBearer <token>
A personal access token created in the inklet portal. Server-side use only.
In: header
Path Parameters
presentationId*string
Length
1 <= lengthQuery Parameters
format?string
Requested image rendition.
Value in
- "png"
- "raw2"
- "raw4"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/sdk/v1/presentations/string"{ "id": "string", "displayId": "string", "contentIds": [ "string" ], "mode": "", "state": "preparing", "image": { "url": "http://example.com", "format": "png", "width": 1, "height": 1, "expiresAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "failure": { "code": "string", "message": "string", "stage": "string", "retryable": true, "assetIndex": 0 }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}